<template>
    <div class="flex justify-center ">
        <div class="w-[328px] h-[30px] bg-[#F8F8F8] rounded-full flex items-center justify-between">
            <input v-model="searchValue" type="text" class="text-[12px] ml-20 bg-[#F8F8F8] flex-1" placeholder="请输入小区名称、地址">
            <div @click.stop="search" class="h-[27px] w-[50px] mr-2 rounded-full bg-[#FD9A00] text-[#fff] text-[14px] flex items-center justify-center shrink-0">
                搜索
            </div>
        </div>
    </div>
</template>
<script setup>
    const emit = defineEmits(['search'])
    const searchValue = ref('')
    function search(){
        emit('search',searchValue.value)
    }
</script>
<style scoped>

</style>